import { isDef, isNotObj, isObj } from '../helper';
// import { atMedia } from "../mediaQueries";
// p is all props of a component
// p > css ---- more props to iterate.
// so iterate over css is faster
// eg: prop='foo'
// @ts-ignore
var createValidCss = function (css, p) {
    return Object.keys(css)
        .map(function (key) {
        var propValue = p[key];
        if (isDef(propValue) && isNotObj(propValue))
            return css[key](propValue);
    })
        .join(';');
};
// eg: prop={{ xs:'bar', md:'foo' }}
// @ts-ignore
var createValidMediaCss = function (css, p, mediaKey) {
    var mediaCss = Object.keys(css).map(function (key) {
        var value = p[key];
        if (isObj(value)) {
            var mediaValue = value[mediaKey];
            if (isDef(mediaValue))
                return css[key](mediaValue);
        }
    });
    return mediaCss;
};
// @ts-ignore
var createValidAllMediaCss = function (css, p, atMedia) {
    return Object.keys(atMedia)
        .map(function (mediaKey) {
        var mediaCss = createValidMediaCss(css, p, mediaKey);
        return atMedia[mediaKey] + " { " + mediaCss.join(';') + " }";
    })
        .join(';');
};
export var createCss = function (css, p, atMedia) {
    return createValidCss(css, p) + createValidAllMediaCss(css, p, atMedia);
};
