import { breakpoints as defaultBreakpoints, getMaxWidths } from './defaultValues';
import { getContainer, getFlex, getFlexItem, getGrid, getGridItem, } from './getComponents';
import { createMediaQueries } from './mediaQueries';
export var reactSchematic = function (breakpoints) {
    if (breakpoints === void 0) { breakpoints = defaultBreakpoints; }
    var atMedia = createMediaQueries(breakpoints);
    var maxWidth = getMaxWidths(breakpoints);
    return {
        Container: getContainer(atMedia, maxWidth),
        Grid: getGrid(atMedia),
        GridItem: getGridItem(atMedia),
        Flex: getFlex(atMedia),
        FlexItem: getFlexItem(atMedia),
    };
};
