"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reactSchematic = void 0;
var defaultValues_1 = require("./defaultValues");
var getComponents_1 = require("./getComponents");
var mediaQueries_1 = require("./mediaQueries");
var reactSchematic = function (breakpoints) {
    if (breakpoints === void 0) { breakpoints = defaultValues_1.breakpoints; }
    var atMedia = (0, mediaQueries_1.createMediaQueries)(breakpoints);
    var maxWidth = (0, defaultValues_1.getMaxWidths)(breakpoints);
    return {
        Container: (0, getComponents_1.getContainer)(atMedia, maxWidth),
        Grid: (0, getComponents_1.getGrid)(atMedia),
        GridItem: (0, getComponents_1.getGridItem)(atMedia),
        Flex: (0, getComponents_1.getFlex)(atMedia),
        FlexItem: (0, getComponents_1.getFlexItem)(atMedia),
    };
};
exports.reactSchematic = reactSchematic;
