import { Breakpoints, ValidComponents } from './common';
import { ContainerType } from './Container';
import { FlexType } from './Flex';
import { FlexItemType } from './FlexItem';
import { GridType } from './Grid';
import { GridItemType } from './GridItem';
import { Spacing } from './Spacing';
export declare type Media<T> = {
    [key in keyof Breakpoints]?: T;
};
export declare type Responsive<T extends ValidComponents & Spacing> = {
    [key in keyof T]?: T[key] | Media<T[key]>;
};
export declare type ContainerResponsiveType = Responsive<ContainerType> & Responsive<Spacing>;
export declare type FlexResponsiveType = Responsive<FlexType> & Responsive<Spacing>;
export declare type FlexItemResponsiveType = Responsive<FlexItemType> & Responsive<Spacing>;
export declare type GridItemResponsiveType = Responsive<GridItemType> & Responsive<Spacing>;
export declare type GridResponsiveType = Responsive<GridType> & Responsive<Spacing>;
export declare type MediaQueries = Media<string>;
